#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#define ll long long
#define pb push_back
#define endl "\n"
#define amfetamin ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0); cerr.tie(0);
#define ordered_set tree<int,null_type,less_equal<int>,rb_tree_tag,tree_order_statistics_node_update>
using namespace std;
using namespace __gnu_pbds;
const int N = 2e5 + 5;
pair <double, int> a[N];
int main()
{
amfetamin;
cout << fixed;
cout << setprecision(4);
double sol = 0;
int n;
cin >> n;
ll sum = 0;
for (int i = 0; i < n; i++)
{
    int x;
    double d;
    cin >> x >> d;
    sum += x;
    a[i] = {d, x};
}
sort(a, a + n);
for (int i = 0; i < n; i++)
{
    double nw = (double)sum * a[i].first / (double)100;
    sol = max(sol, nw);
    sum -= a[i].second;
}
cout << sol;



}